function onUse(cid, item)

local t = {
{uid=13403, storage=585841, recompensa=12245, mensagem="Você achou um Magmarizer"},
{uid=13404, storage=585841, recompensa=12419, mensagem="Você achou um Electirizer"}
}

if item.uid == t[1].uid and getPlayerStorageValue(cid, t[1].storage) == -1 then
doPlayerAddItem(cid, t[1].recompensa, 1)
doPlayerSendTextMessage(cid, 22, t[1].mensagem)
setPlayerStorageValue(cid, t[1].storage, 1)

elseif item.uid == t[2].uid and getPlayerStorageValue(cid, t[2].storage) == -1 then
doPlayerAddItem(cid, t[2].recompensa, 1)
doPlayerSendTextMessage(cid, 22, t[2].mensagem)
setPlayerStorageValue(cid, t[2].storage, 1)

end
return doPlayerSendCancel(cid, "Você ja pegou sua stone!")
end